Subject: FVWM: On Vacation Until 8/22.

From: "Kevin Mallory" <[email-masked]>
Date: 20 Aug 97 08:28:34 -0700

NOTE: I am on Vacation 8/4 - 8/22 with limited access to Email.

Thanks!   
Kevin

--------------------------------------------------------------------------------------------------
Kevin Mallory ([email-masked])                  Phone:(415)506-6168 
OCDF Architect and Program Manager 	     Fax:  (415)506-7218 
Admin Asst Tami Sisneros ([email-masked])    Phone:(415)506-3021  
 Warning: Opinions stated herein may not be those of Oracle Corporation.  

Subject: fvwm 2.0.46 ready at last...
From: "Charles Hines <[email-masked]>" <[email-masked]>
To: The,FVWM,Discussion,List,<[email-masked]>,The,FVWM,Announce,List,<[email-masked]>,The,FVWM,Workers,List,<[email-masked]>
Date: 20 Aug 97 07:49:59

Howdy all.

Just a quick note to let you know that the next beta, 2.0.46, is
finially available.  I've just uploaded it to ftp.hpc.uh.edu:

-rw-rw-r--   1 chines   fvwm      309199 Aug 20 09:33 fvwm-2.0.45-to-2.0.46.patch.gz
-rw-rw-r--   1 chines   fvwm      806706 Aug 20 09:33 fvwm-2.0.46.tar.gz

The patch is untested, but should work ok, I think.

It (like usual) doesn't have all of stuff in there that I really
wanted to get in there, but it was taking way too long to get out.

So if your favorite patch isn't in there, it may still appear in the
not too distant future.  Namely, I expect a lot of gripes about the
absence of the animated menu patch and the colorlimit patch - some
variation of both of these will most likely appear in 2.0.47.

Here's the ChangeLog entry:

======================================================================
2.0.46
       1. Patch to remove forgotten CLICKTORAISE #if check, from
          Markus Gutschke
       2. More mini xpm files
       3. Fix to XTerm font change problem
       4. There is no 4...
       5. Updated extras/FvwmScript from Frederic Cordier
       6. Changing default XORValue to 0, which now means "try and
          guess what a good XORValue is for my display" (using recommended
          method in the XLib Programming Manual)
       7. Updated FvwmM4 & Cpp man pages to show correct invocation...
       8. Updated extras/fvwmperl from Dan Astoorian
       9. FAQ updates
       10. Imakefile fixes
       11. Added info to FvwmIdent (transient)
       12. Brought back 1.xx like CursorStyle command (based on old
           patch from Kit Smithers)
       13. Patch from Patrice Fortier to allow xpm backgrounds in
           FvwmButtons (noticed some problems with this)
       14. Updated FvwmCommand from Toshi Isogai
       15. Builtin WinList fixes (geometry string makes more sense now,
           plus alphabetic sort option from Eric Schott)
       16. Fix from Andrew for NoButton 0 problem
       17. GetDecor SCO CPP patch from Andrew
       18. Patch from Andrew for MWM buttons functions problems
       19. Fix from Dave Goldberg for NoTitle & MiniIcon conflict
       20. Move/Resize frame drawing bug patch from Makoto Matsushita
       21. Patch to FlipFocus (under MouseFocus) from Markus Gutschke
       22. Added patch from Rob Whapham/Thimo Jansen for FvwmPager
           miniicons (plus small enhancements)
       23. FvwmBacker patch from Tim Phipps to have it run fvwm
           commands instead of unix commands, so borders & the like
           can be changed too (just use Exec to get old functionality)
       24. Latest FvwmIconMan (v1.0) from Brady Montz
       25. Fix for static buffer overflow in SendDataToModule in read.c
           (when IconPath/PixmapPath greater than 255 chars)
       26. Patch from Tim Phipps to add Current op (like Prev & Next,
           but operates only on Current window) and enhanced conditionals
           for Prev/Next/Current/None (like the addition of !<name>)
       27. Added FvwmWharf to extras dir (ported from AfterStep by who??)
       28. Added FvwmTaskBar to extras dir (ported from fvwm95 by Don Mahurin)
       29. Added FvwmWinList miniicons patch from Don Mahurin.  Still
           need to update docs for it...
       30. Patches from Randy Ray to make windowshade module packets
           more "standard" & add filename to MINI_ICON packet
       31. Patch from Barry Warsaw to make multi head code work
           slightly better (although it probably needs a total rewrite
           to really work well - ctwm good model?)
       32. Patch to echo builtin needs to remove final \n if there is
           one (Greg Badros sees this, but I don't so it might be a system
           dependent bug)
       33. Patch from Dan Espen for keeping long icon names on screen
       34. Made builtin function searching faster (hopefully) using
           simple binary search (mostly to help speed up startup
           time).  Please let me know how this works since my
           relatively simple setup isn't a good test case for this...
       35. Removed 'raise_it' entirely, since no longer used
       36. Made window move paging match Edgescroll values instead of
           always doing full screens (should this be an option?)
       37. Focus command no longer raises - use an interpreted
           focus-and-raise function if that's desired
       38. Minor menu code bug fixed - wasn't always ungrabbing the
           cursor before executing function (timing dependent - most
           of the time ok)
       39. Fixes for DEC Alpha compile warnings
       40. Fix for IconBox -0 handling, from Ric Lister
======================================================================

My thanks again to the folks on the workers list for helping flush out
last minute bugs, and to everyone for patches, suggestions, and your
(continued) patience with my not too timely releases...

Enjoy,
Chuck

--
*******************************************************************************
Charles K. Hines <[email-masked]>
IBM Logic Synthesis Developer [BooleDozer (TM)]
Martial Arts Instructor [Modern Arnis, Presas Style Filipino Martial Arts]

         "Go back to sleep, Chuck.  You're just havin' a nightmare
             -- of course, we ARE still in Hell." (Gary Larson)
*******************************************************************************
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-announce" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].